CVS kaffe (robilad): removed binreloc support

Kaffe CVS <[email protected]>
Newsgroups gmane.comp.java.vm.kaffe.general
Message-ID <[email protected]>
PatchSet 7673 
Date: 2008/01/06 19:05:13
Author: robilad
Branch: HEAD
Tag: (none) 
Log:
removed binreloc support

2008-01-06  Dalibor Topic  <[email protected]>

        * THIRDPARTY: Removed information on binreloc.

        * kaffe/kaffeh/Makefile.am (nodist_kaffeh_SOURCES): Removed binreloc.c.

        * kaffe/kaffevm/Makefile.am (noinst_HEADERS): Removed binreloc.h
        (libkaffe_la_SOURCES): Removed binreloc.c.

        * kaffe/kaffevm/findInJar.c,
        kaffe/kaffevm/external.c,
        kaffe/kaffevm/baseClasses.c,
        kaffe/kaffeh/main.c,
        kaffe/kaffe/main.c: Removed support for binreloc.

        * configure.ac (AM_BINRELOC) Removed. (AC_CONFIG_LINKS)
        Removed linking in of binreloc.

        * kaffe/kaffevm/binreloc.c, kaffe/kaffevm/binreloc.h, m4/binreloc.m4:
        Removed.

Members: 
	ChangeLog:1.5175->1.5176 
	Makefile.in:1.304->1.305 
	THIRDPARTY:1.59->1.60 
	aclocal.m4:1.140->1.141 
	configure:1.626->1.627 
	configure.ac:1.295->1.296 
	config/Makefile.in:1.250->1.251 
	config/config.h.in:1.178->1.179 
	include/Makefile.in:1.314->1.315 
	kaffe/Makefile.in:1.199->1.200 
	kaffe/jvmpi/Makefile.in:1.124->1.125 
	kaffe/kaffe/Makefile.in:1.223->1.224 
	kaffe/kaffe/main.c:1.102->1.103 
	kaffe/kaffeh/Makefile.am:1.29->1.30 
	kaffe/kaffeh/Makefile.in:1.204->1.205 
	kaffe/kaffeh/main.c:1.24->1.25 
	kaffe/kaffevm/Makefile.am:1.104->1.105 
	kaffe/kaffevm/Makefile.in:1.274->1.275 
	kaffe/kaffevm/baseClasses.c:1.78->1.79 
	kaffe/kaffevm/binreloc.c:1.3->1.4(DEAD) 
	kaffe/kaffevm/binreloc.h:1.1->1.2(DEAD) 
	kaffe/kaffevm/external.c:1.88->1.89 
	kaffe/kaffevm/findInJar.c:1.74->1.75 
	kaffe/kaffevm/boehm-gc/Makefile.in:1.87->1.88 
	kaffe/kaffevm/gcj/Makefile.in:1.179->1.180 
	kaffe/kaffevm/intrp/Makefile.in:1.188->1.189 
	kaffe/kaffevm/jit/Makefile.in:1.198->1.199 
	kaffe/kaffevm/jit3/Makefile.in:1.168->1.169 
	kaffe/kaffevm/jni/Makefile.in:1.92->1.93 
	kaffe/kaffevm/kaffe-gc/Makefile.in:1.86->1.87 
	kaffe/kaffevm/systems/Makefile.in:1.188->1.189 
	kaffe/kaffevm/systems/beos-native/Makefile.in:1.179->1.180 
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in:1.43->1.44 
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in:1.185->1.186 
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in:1.189->1.190 
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in:1.165->1.166 
	kaffe/kaffevm/verifier/Makefile.in:1.91->1.92 
	kaffe/man/Makefile.in:1.186->1.187 
	kaffe/scripts/Makefile.in:1.230->1.231 
	kaffe/scripts/bat/Makefile.in:1.179->1.180 
	kaffe/scripts/compat/Makefile.in:1.207->1.208 
	kaffe/xprof/Makefile.in:1.154->1.155 
	libraries/Makefile.in:1.182->1.183 
	libraries/clib/Makefile.in:1.204->1.205 
	libraries/clib/awt/Makefile.in:1.197->1.198 
	libraries/clib/awt/X/Makefile.in:1.192->1.193 
	libraries/clib/awt/nano-X/Makefile.in:1.64->1.65 
	libraries/clib/awt/qt/Makefile.in:1.145->1.146 
	libraries/clib/awt/xynth/Makefile.in:1.20->1.21 
	libraries/clib/math/Makefile.in:1.195->1.196 
	libraries/clib/zip/Makefile.in:1.200->1.201 
	libraries/javalib/Makefile.in:1.594->1.595 
	libraries/javalib/awt-implementations/Makefile.in:1.76->1.77 
	libraries/javalib/awt-implementations/kaffe/Makefile.in:1.96->1.97 
	libraries/javalib/gmp-math/Makefile.in:1.85->1.86 
	libraries/javalib/vmspecific/Makefile.in:1.28->1.29 
	libraries/javalib/zlib-zip/Makefile.in:1.22->1.23 
	m4/binreloc.m4:1.2->1.3(DEAD) 
	po/de.po:1.14->1.15 
	po/fr.po:1.29->1.30 
	po/kaffe.pot:1.26->1.27 
	po/zh_CN.po:1.18->1.19 
	po/zh_TW.po:1.35->1.36 
	replace/Makefile.in:1.142->1.143 
	test/Makefile.in:1.191->1.192 
	test/internal/Makefile.in:1.167->1.168 
	test/jni/Makefile.in:1.98->1.99 
	test/regression/Makefile.in:1.270->1.271 
	test/regression/compile_time/Makefile.in:1.119->1.120 
	test/regression/compiler/Makefile.in:1.103->1.104 
	test/regression/run_time/Makefile.in:1.118->1.119 

Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.5175 kaffe/ChangeLog:1.5176
--- kaffe/ChangeLog:1.5175	Sun Jan  6 18:15:01 2008
+++ kaffe/ChangeLog	Sun Jan  6 19:05:13 2008
@@ -1,5 +1,26 @@
 2008-01-06  Dalibor Topic  <[email protected]>
 
+	* THIRDPARTY: Removed information on binreloc.
+
+	* kaffe/kaffeh/Makefile.am (nodist_kaffeh_SOURCES): Removed binreloc.c.
+
+	* kaffe/kaffevm/Makefile.am (noinst_HEADERS): Removed binreloc.h
+	(libkaffe_la_SOURCES): Removed binreloc.c.
+
+	* kaffe/kaffevm/findInJar.c,
+	kaffe/kaffevm/external.c,
+	kaffe/kaffevm/baseClasses.c,
+	kaffe/kaffeh/main.c,
+	kaffe/kaffe/main.c: Removed support for binreloc.
+
+	* configure.ac (AM_BINRELOC) Removed. (AC_CONFIG_LINKS)
+	Removed linking in of binreloc.
+
+	* kaffe/kaffevm/binreloc.c, kaffe/kaffevm/binreloc.h, m4/binreloc.m4:
+	Removed.
+
+2008-01-06  Dalibor Topic  <[email protected]>
+
 	* TODO: Updated.
 
 2008-01-06  Dalibor Topic  <[email protected]>
Index: kaffe/Makefile.in
diff -u kaffe/Makefile.in:1.304 kaffe/Makefile.in:1.305
--- kaffe/Makefile.in:1.304	Thu Jan  3 00:48:26 2008
+++ kaffe/Makefile.in	Sun Jan  6 19:05:14 2008
@@ -60,7 +60,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -114,8 +114,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
Index: kaffe/THIRDPARTY
diff -u kaffe/THIRDPARTY:1.59 kaffe/THIRDPARTY:1.60
--- kaffe/THIRDPARTY:1.59	Wed Jan  2 17:56:27 2008
+++ kaffe/THIRDPARTY	Sun Jan  6 19:05:14 2008
@@ -12,7 +12,7 @@
 More information on GNU libc is available at 
 http://www.gnu.org/software/libc/libc.html.
 
-* Configure.in tests for isinf, isnan, finite
+* Configure.in tests for isinf, isnan
 
 Taken from Sablotron 1.0, which is dually licensed licensed under MPL 1.1 
 and GPL. It is available from 
@@ -155,14 +155,6 @@
 See license.terms for the text of GNU General Public License v2. 
 
 More information on GNU m4 is available at http://www.gnu.org/software/m4/.
-
-* binreloc
-
-Merged in BinReloc 2.0 from http://www.autopackage.org/docs/binreloc/ . 
-BinReloc provides an easy-to-use API that uses dynamic linker and kernel magic 
-to find out the full path of your aplication or library. 
-
-BinReloc is in public domain.
 
 * libraries/clib/native/VMRuntime.c, m4/classpath.m4.
 
Index: kaffe/aclocal.m4
diff -u kaffe/aclocal.m4:1.140 kaffe/aclocal.m4:1.141
--- kaffe/aclocal.m4:1.140	Wed Jan  2 17:36:25 2008
+++ kaffe/aclocal.m4	Sun Jan  6 19:05:14 2008
@@ -964,7 +964,6 @@
 m4_include([m4/ax_cflags_gcc_option.m4])
 m4_include([m4/ax_cflags_warn_all.m4])
 m4_include([m4/ax_create_stdint_h.m4])
-m4_include([m4/binreloc.m4])
 m4_include([m4/classpath.m4])
 m4_include([m4/compile_value.m4])
 m4_include([m4/gcc_attribute.m4])
Index: kaffe/configure
diff -u kaffe/configure:1.626 kaffe/configure:1.627
--- kaffe/configure:1.626	Sun Jan  6 18:06:21 2008
+++ kaffe/configure	Sun Jan  6 19:05:14 2008
@@ -1017,8 +1017,6 @@
 KVMLIBFLAGS
 COND_DIRECT_THREADING_TRUE
 COND_DIRECT_THREADING_FALSE
-BINRELOC_CFLAGS
-BINRELOC_LIBS
 KAFFEH
 MAKE_KAFFEH
 kaffe_builddir
@@ -1677,10 +1675,6 @@
                           [default=native]
   --disable-direct-threading
                           Use switched interpreter instead of direct-threading
-  --enable-binreloc       compile with binary relocation support
-                          (default=enable when available)
-  --enable-binreloc-threads      compile binary relocation with threads support
-	                         (default=yes)
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -2157,6 +2151,7 @@
 ac_header_list="$ac_header_list mips/cachectl.h"
 ac_header_list="$ac_header_list png.h"
 ac_header_list="$ac_header_list poll.h"
+ac_header_list="$ac_header_list pthread.h"
 ac_header_list="$ac_header_list pwd.h"
 ac_header_list="$ac_header_list sgidefs.h"
 ac_header_list="$ac_header_list sigcontext.h"
@@ -2222,7 +2217,6 @@
 ac_func_list="$ac_func_list atexit"
 ac_func_list="$ac_func_list on_exit"
 ac_func_list="$ac_func_list vsnprintf"
-ac_header_list="$ac_header_list pthread.h"
 # Check that the precious variables saved in the cache have kept the same
 # value.
 ac_cache_corrupted=false
@@ -7049,7 +7043,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7052 "configure"' > conftest.$ac_ext
+  echo '#line 7046 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9613,11 +9607,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9616: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9610: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9620: \$? = $ac_status" >&5
+   echo "$as_me:9614: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9903,11 +9897,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9906: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9900: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9910: \$? = $ac_status" >&5
+   echo "$as_me:9904: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10007,11 +10001,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10010: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10004: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10014: \$? = $ac_status" >&5
+   echo "$as_me:10008: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12356,7 +12350,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12359 "configure"
+#line 12353 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12456,7 +12450,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12459 "configure"
+#line 12453 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14880,11 +14874,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14883: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14877: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14887: \$? = $ac_status" >&5
+   echo "$as_me:14881: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14984,11 +14978,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14987: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14981: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14991: \$? = $ac_status" >&5
+   echo "$as_me:14985: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16546,11 +16540,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16549: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16543: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16553: \$? = $ac_status" >&5
+   echo "$as_me:16547: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16650,11 +16644,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16653: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16647: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16657: \$? = $ac_status" >&5
+   echo "$as_me:16651: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18841,11 +18835,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18844: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18838: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18848: \$? = $ac_status" >&5
+   echo "$as_me:18842: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19131,11 +19125,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19134: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19128: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19138: \$? = $ac_status" >&5
+   echo "$as_me:19132: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19235,11 +19229,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19238: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19232: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19242: \$? = $ac_status" >&5
+   echo "$as_me:19236: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -25541,7 +25535,7 @@
 JAVA_TEST=Test.java
 CLASS_TEST=Test.class
 cat << \EOF > $JAVA_TEST
-/* #line 25544 "configure" */
+/* #line 25538 "configure" */
 public class Test {
 }
 EOF
@@ -30142,6 +30136,10 @@
 
 
 
+
+
+
+
 # check sys/sysctl.h seperately, as it requires other headers on at least OpenBSD
 
 for ac_header in sys/sysctl.h
@@ -41682,219 +41680,6 @@
 fi
 
 
-
-
-
-
-
-
-
-
-if test x"$ac_cv_header_pthread_h" = x"yes"; then
-    if test x"$cross_compiling" = x"yes"; then
-     ac_cv_file__proc_self_maps=no;
-     { echo "$as_me:$LINENO: WARNING: If you want binreloc support on the platform you are cross-compiling to, and the platform supports it, please run configure with --enable-binreloc explicitely." >&5
-echo "$as_me: WARNING: If you want binreloc support on the platform you are cross-compiling to, and the platform supports it, please run configure with --enable-binreloc explicitely." >&2;}
-  fi
-
-	# Check whether --enable-binreloc was given.
-if test "${enable_binreloc+set}" = set; then
-  enableval=$enable_binreloc; enable_binreloc=$enableval
-else
-  enable_binreloc=auto
-fi
-
-
-	# Check whether --enable-binreloc-threads was given.
-if test "${enable_binreloc_threads+set}" = set; then
-  enableval=$enable_binreloc_threads; enable_binreloc_threads=$enableval
-else
-  enable_binreloc_threads=yes
-fi
-
-
-	BINRELOC_CFLAGS=
-	BINRELOC_LIBS=
-	if test "x$enable_binreloc" = "xauto"; then
-		{ echo "$as_me:$LINENO: checking for /proc/self/maps" >&5
-echo $ECHO_N "checking for /proc/self/maps... $ECHO_C" >&6; }
-if test "${ac_cv_file__proc_self_maps+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  test "$cross_compiling" = yes &&
-  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
-echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
-   { (exit 1); exit 1; }; }
-if test -r "/proc/self/maps"; then
-  ac_cv_file__proc_self_maps=yes
-else
-  ac_cv_file__proc_self_maps=no
-fi
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_file__proc_self_maps" >&5
-echo "${ECHO_T}$ac_cv_file__proc_self_maps" >&6; }
-
-		{ echo "$as_me:$LINENO: checking whether everything is installed to the same prefix" >&5
-echo $ECHO_N "checking whether everything is installed to the same prefix... $ECHO_C" >&6; }
-if test "${br_cv_valid_prefixes+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-				if test "$bindir" = '${exec_prefix}/bin' -a "$sbindir" = '${exec_prefix}/sbin' -a \
-					"$datadir" = '${prefix}/share' -a "$libdir" = '${exec_prefix}/lib' -a \
-					"$libexecdir" = '${exec_prefix}/libexec' -a "$sysconfdir" = '${prefix}/etc'
-				then
-					br_cv_valid_prefixes=yes
-				else
-					br_cv_valid_prefixes=no
-				fi
-
-fi
-{ echo "$as_me:$LINENO: result: $br_cv_valid_prefixes" >&5
-echo "${ECHO_T}$br_cv_valid_prefixes" >&6; }
-	fi
-	{ echo "$as_me:$LINENO: checking whether binary relocation support should be enabled" >&5
-echo $ECHO_N "checking whether binary relocation support should be enabled... $ECHO_C" >&6; }
-if test "${br_cv_binreloc+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test "x$enable_binreloc" = "xyes"; then
-		       	       br_cv_binreloc=yes
-		       elif test "x$enable_binreloc" = "xauto"; then
-			       if test "x$br_cv_valid_prefixes" = "xyes" -a \
-			       	       "x$ac_cv_file__proc_self_maps" = "xyes"; then
-				       br_cv_binreloc=yes
-			       else
-				       br_cv_binreloc=no
-			       fi
-		       else
-			       br_cv_binreloc=no
-		       fi
-fi
-{ echo "$as_me:$LINENO: result: $br_cv_binreloc" >&5
-echo "${ECHO_T}$br_cv_binreloc" >&6; }
-
-	if test "x$br_cv_binreloc" = "xyes"; then
-		BINRELOC_CFLAGS="-DENABLE_BINRELOC"
-
-cat >>confdefs.h <<\_ACEOF
-#define ENABLE_BINRELOC
-_ACEOF
-
-		if test "x$enable_binreloc_threads" = "xyes"; then
-
-{ echo "$as_me:$LINENO: checking for pthread_getspecific in -lpthread" >&5
-echo $ECHO_N "checking for pthread_getspecific in -lpthread... $ECHO_C" >&6; }
-if test "${ac_cv_lib_pthread_pthread_getspecific+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpthread  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char pthread_getspecific ();
-int
-main ()
-{
-return pthread_getspecific ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_pthread_pthread_getspecific=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_pthread_pthread_getspecific=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_getspecific" >&5
-echo "${ECHO_T}$ac_cv_lib_pthread_pthread_getspecific" >&6; }
-if test $ac_cv_lib_pthread_pthread_getspecific = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBPTHREAD 1
-_ACEOF
-
-  LIBS="-lpthread $LIBS"
-
-fi
-
-		fi
-
-		{ echo "$as_me:$LINENO: checking whether binary relocation should use threads" >&5
-echo $ECHO_N "checking whether binary relocation should use threads... $ECHO_C" >&6; }
-if test "${br_cv_binreloc_threads+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test "x$enable_binreloc_threads" = "xyes"; then
-					if test "x$ac_cv_lib_pthread_pthread_getspecific" = "xyes"; then
-						br_cv_binreloc_threads=yes
-					else
-						br_cv_binreloc_threads=no
-					fi
-			        else
-					br_cv_binreloc_threads=no
-				fi
-fi
-{ echo "$as_me:$LINENO: result: $br_cv_binreloc_threads" >&5
-echo "${ECHO_T}$br_cv_binreloc_threads" >&6; }
-
-		if test "x$br_cv_binreloc_threads" = "xyes"; then
-			BINRELOC_LIBS="-lpthread"
-
-cat >>confdefs.h <<\_ACEOF
-#define BR_PTHREAD 1
-_ACEOF
-
-		else
-			BINRELOC_CFLAGS="$BINRELOC_CFLAGS -DBR_PTHREADS=0"
-
-cat >>confdefs.h <<\_ACEOF
-#define BR_PTHREAD 0
-_ACEOF
-
-		fi
-	fi
-
-
-
-fi
-
-
 if test x"$cross_compiling" = x"yes"; then
       if test x"${ac_cv_c_bigendian+set}" != x"set"; then
     { echo "$as_me:$LINENO: WARNING: when cross compiling, you may want to set ac_cv_c_bigendian to yes or no" >&5
@@ -42489,8 +42274,6 @@
 
 ac_config_links="$ac_config_links kaffe/kaffeh/utf8const.c:kaffe/kaffevm/utf8const.c"
 
-ac_config_links="$ac_config_links kaffe/kaffeh/binreloc.c:kaffe/kaffevm/binreloc.c"
-
 
 if test x"$with_engine" != x"intrp" ; then
   ac_config_links="$ac_config_links config/jit-md.h:$CONFIG_JIT_MD_H"
@@ -43354,7 +43137,6 @@
     "kaffe/kaffeh/jar.c") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffeh/jar.c:kaffe/kaffevm/jar.c" ;;
     "kaffe/kaffeh/readClass.c") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffeh/readClass.c:kaffe/kaffevm/readClass.c" ;;
     "kaffe/kaffeh/utf8const.c") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffeh/utf8const.c:kaffe/kaffevm/utf8const.c" ;;
-    "kaffe/kaffeh/binreloc.c") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffeh/binreloc.c:kaffe/kaffevm/binreloc.c" ;;
     "config/jit-md.h") CONFIG_LINKS="$CONFIG_LINKS config/jit-md.h:$CONFIG_JIT_MD_H" ;;
     "config/callKaffeException.h") CONFIG_LINKS="$CONFIG_LINKS config/callKaffeException.h:$CONFIG_CALLKAFFEEXCEPTION_H" ;;
     "kaffe/kaffevm/$with_engine/icode.h") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffevm/$with_engine/icode.h:$KAFFEVM_ICODE_H" ;;
@@ -43755,8 +43537,6 @@
 KVMLIBFLAGS!$KVMLIBFLAGS$ac_delim
 COND_DIRECT_THREADING_TRUE!$COND_DIRECT_THREADING_TRUE$ac_delim
 COND_DIRECT_THREADING_FALSE!$COND_DIRECT_THREADING_FALSE$ac_delim
-BINRELOC_CFLAGS!$BINRELOC_CFLAGS$ac_delim
-BINRELOC_LIBS!$BINRELOC_LIBS$ac_delim
 KAFFEH!$KAFFEH$ac_delim
 MAKE_KAFFEH!$MAKE_KAFFEH$ac_delim
 kaffe_builddir!$kaffe_builddir$ac_delim
@@ -43778,7 +43558,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 64; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 62; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
Index: kaffe/configure.ac
diff -u kaffe/configure.ac:1.295 kaffe/configure.ac:1.296
--- kaffe/configure.ac:1.295	Sun Jan  6 18:06:24 2008
+++ kaffe/configure.ac	Sun Jan  6 19:05:14 2008
@@ -928,6 +928,7 @@
 mips/cachectl.h \
 png.h \
 poll.h \
+pthread.h \
 pwd.h \
 sgidefs.h \
 sigcontext.h \
@@ -1704,20 +1705,6 @@
 fi
 
 dnl =========================================================================
-dnl Configure Binreloc support
-dnl -------------------------------------------------------------------------
-
-AC_CHECK_HEADERS_ONCE([pthread.h])
-if test x"$ac_cv_header_pthread_h" = x"yes"; then
-  dnl We can now check whether we want binreloc
-  if test x"$cross_compiling" = x"yes"; then
-     ac_cv_file__proc_self_maps=no;
-     AC_MSG_WARN([If you want binreloc support on the platform you are cross-compiling to, and the platform supports it, please run configure with --enable-binreloc explicitely.])
-  fi
-  AM_BINRELOC
-fi
-
-dnl =========================================================================
 dnl Set up for local build of kaffeh when cross-compiling
 dnl -------------------------------------------------------------------------
 
@@ -1925,7 +1912,6 @@
 AC_CONFIG_LINKS([kaffe/kaffeh/jar.c:kaffe/kaffevm/jar.c])
 AC_CONFIG_LINKS([kaffe/kaffeh/readClass.c:kaffe/kaffevm/readClass.c])
 AC_CONFIG_LINKS([kaffe/kaffeh/utf8const.c:kaffe/kaffevm/utf8const.c])
-AC_CONFIG_LINKS([kaffe/kaffeh/binreloc.c:kaffe/kaffevm/binreloc.c])
 
 if test x"$with_engine" != x"intrp" ; then
   AC_CONFIG_LINKS([config/jit-md.h:$CONFIG_JIT_MD_H])
Index: kaffe/config/Makefile.in
diff -u kaffe/config/Makefile.in:1.250 kaffe/config/Makefile.in:1.251
--- kaffe/config/Makefile.in:1.250	Wed Jan  2 23:48:23 2008
+++ kaffe/config/Makefile.in	Sun Jan  6 19:05:16 2008
@@ -55,7 +55,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -88,8 +88,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
Index: kaffe/config/config.h.in
diff -u kaffe/config/config.h.in:1.178 kaffe/config/config.h.in:1.179
--- kaffe/config/config.h.in:1.178	Sun Jan  6 18:06:25 2008
+++ kaffe/config/config.h.in	Sun Jan  6 19:05:16 2008
@@ -3,9 +3,6 @@
 /* Define the version we're compiling for */
 #undef ARCHOS
 
-/* Include pthread support for binary relocation? */
-#undef BR_PTHREAD
-
 /* 1234 = LIL_ENDIAN, 4321 = BIGENDIAN */
 #undef BYTEORDER
 
@@ -18,9 +15,6 @@
 /* Define default KAFFEHOME */
 #undef DEFAULT_KAFFEHOME
 
-/* Use binary relocation? */
-#undef ENABLE_BINRELOC
-
 /* JVM Profiling Interface */
 #undef ENABLE_JVMPI
 
@@ -205,9 +199,6 @@
 
 /* Define to 1 if you have the `png' library (-lpng). */
 #undef HAVE_LIBPNG
-
-/* Define to 1 if you have the `pthread' library (-lpthread). */
-#undef HAVE_LIBPTHREAD
 
 /* Define to 1 if you have the `ungif' library (-lungif). */
 #undef HAVE_LIBUNGIF
Index: kaffe/include/Makefile.in
diff -u kaffe/include/Makefile.in:1.314 kaffe/include/Makefile.in:1.315
--- kaffe/include/Makefile.in:1.314	Wed Jan  2 23:48:25 2008
+++ kaffe/include/Makefile.in	Sun Jan  6 19:05:17 2008
@@ -57,7 +57,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -103,8 +103,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
Index: kaffe/kaffe/Makefile.in
diff -u kaffe/kaffe/Makefile.in:1.199 kaffe/kaffe/Makefile.in:1.200
--- kaffe/kaffe/Makefile.in:1.199	Wed Jan  2 23:48:25 2008
+++ kaffe/kaffe/Makefile.in	Sun Jan  6 19:05:18 2008
@@ -50,7 +50,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -92,8 +92,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
Index: kaffe/kaffe/jvmpi/Makefile.in
diff -u kaffe/kaffe/jvmpi/Makefile.in:1.124 kaffe/kaffe/jvmpi/Makefile.in:1.125
--- kaffe/kaffe/jvmpi/Makefile.in:1.124	Wed Jan  2 23:48:27 2008
+++ kaffe/kaffe/jvmpi/Makefile.in	Sun Jan  6 19:05:18 2008
@@ -43,7 +43,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -103,8 +103,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
Index: kaffe/kaffe/kaffe/Makefile.in
diff -u kaffe/kaffe/kaffe/Makefile.in:1.223 kaffe/kaffe/kaffe/Makefile.in:1.224
--- kaffe/kaffe/kaffe/Makefile.in:1.223	Wed Jan  2 23:48:28 2008
+++ kaffe/kaffe/kaffe/Makefile.in	Sun Jan  6 19:05:19 2008
@@ -52,7 +52,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -104,8 +104,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
Index: kaffe/kaffe/kaffe/main.c
diff -u kaffe/kaffe/kaffe/main.c:1.102 kaffe/kaffe/kaffe/main.c:1.103
--- kaffe/kaffe/kaffe/main.c:1.102	Sat Sep  2 13:48:19 2006
+++ kaffe/kaffe/kaffe/main.c	Sun Jan  6 19:05:19 2008
@@ -52,10 +52,6 @@
 #include <locale.h>
 #endif
 
-#ifdef ENABLE_BINRELOC
-#include "binreloc.h"
-#endif
-
 #if defined(KAFFE_PROFILER)
 extern int profFlag;
 #endif
@@ -94,15 +90,6 @@
 	MAIN_MD;
 #endif
 
-#if defined(ENABLE_BINRELOC)
-        BrInitError error;
-
-        if( br_init(&error) == 0 && error != BR_INIT_ERROR_DISABLED) {
-                printf ("Warning: BinReloc failed to initialize (error code %d)\n", error);
-                printf ("Will fallback to hardcoded default path.\n");
-        };
-#endif
-
 #if defined(HAVE_LC_MESSAGES)
 	setlocale(LC_MESSAGES, "");
 	setlocale(LC_CTYPE, "");
@@ -382,13 +369,7 @@
 {
 	char    *newbootcpath;
 	unsigned int      bootcpathlength;
-	char    *prefix = 
-#if defined(ENABLE_BINRELOC)
-		br_find_lib_dir(NULL)
-#else /* !defined(ENABLE_BINRELOC) */
-	        DEFAULT_KAFFEHOME
-#endif /* defined(ENABLE_BINRELOC) */
-		;
+	char    *prefix =  DEFAULT_KAFFEHOME;
 
 	const char *suffix = file_separator "kaffeawt.jar";
 	char *backend_property = strdup(propStr);
@@ -423,10 +404,6 @@
         /* select Xlib backend */
         prop = setUserProperty(backend_property);
 
-#if defined(ENABLE_BINRELOC)
-	free(prefix);
-#endif
-
 	return prop;
 }
 #endif
@@ -549,13 +526,7 @@
                 else if (strncmp(argv[i], "-Xnative-big-math", (j=17)) == 0) {
                         char    *newbootcpath;
                         unsigned int      bootcpathlength;
-			const char *prefix =
-#if defined(ENABLE_BINRELOC)
-				br_find_lib_dir(NULL)
-#else /* !defined(ENABLE_BINRELOC) */
-				DEFAULT_KAFFEHOME
-#endif /* defined(ENABLE_BINRELOC) */
-				;
+			const char *prefix = DEFAULT_KAFFEHOME;
 
  			const char *suffix = file_separator "gmpjavamath.jar";
 
Index: kaffe/kaffe/kaffeh/Makefile.am
diff -u kaffe/kaffe/kaffeh/Makefile.am:1.29 kaffe/kaffe/kaffeh/Makefile.am:1.30
--- kaffe/kaffe/kaffeh/Makefile.am:1.29	Thu Jun  7 19:58:14 2007
+++ kaffe/kaffe/kaffeh/Makefile.am	Sun Jan  6 19:05:19 2008
@@ -38,8 +38,8 @@
 	file.c \
 	jar.c \
 	readClass.c \
-	utf8const.c \
-	binreloc.c
+	utf8const.c
+
 
 noinst_HEADERS = \
 	kaffeh-support.h \
Index: kaffe/kaffe/kaffeh/Makefile.in
diff -u kaffe/kaffe/kaffeh/Makefile.in:1.204 kaffe/kaffe/kaffeh/Makefile.in:1.205
--- kaffe/kaffe/kaffeh/Makefile.in:1.204	Wed Jan  2 23:48:28 2008
+++ kaffe/kaffe/kaffeh/Makefile.in	Sun Jan  6 19:05:20 2008
@@ -54,7 +54,7 @@
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
 	$(top_srcdir)/m4/ax_create_stdint_h.m4 \
-	$(top_srcdir)/m4/binreloc.m4 $(top_srcdir)/m4/classpath.m4 \
+	$(top_srcdir)/m4/classpath.m4 \
 	$(top_srcdir)/m4/compile_value.m4 \
 	$(top_srcdir)/m4/gcc_attribute.m4 $(top_srcdir)/m4/gettext.m4 \
 	$(top_srcdir)/m4/glibcver.m4 $(top_srcdir)/m4/gmp.m4 \
@@ -71,7 +71,7 @@
 mkinstalldirs = $(SHELL) $(top_srcdir)/scripts/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config/config.h
 CONFIG_CLEAN_FILES = constants.c debug.c file.c jar.c readClass.c \
-	utf8const.c binreloc.c
+	utf8const.c
 am__installdirs = "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
@@ -79,7 +79,7 @@
 	support.$(OBJEXT)
 nodist_kaffeh_OBJECTS = constants.$(OBJEXT) debug.$(OBJEXT) \
 	file.$(OBJEXT) jar.$(OBJEXT) readClass.$(OBJEXT) \
-	utf8const.$(OBJEXT) binreloc.$(OBJEXT)
+	utf8const.$(OBJEXT)
 kaffeh_OBJECTS = $(am_kaffeh_OBJECTS) $(nodist_kaffeh_OBJECTS)
 am__DEPENDENCIES_1 =
 kaffeh_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
@@ -110,8 +110,6 @@
 AWK = @AWK@
 AWT_LIBS = @AWT_LIBS@
 BCEL_JAR = @BCEL_JAR@
-BINRELOC_CFLAGS = @BINRELOC_CFLAGS@
-BINRELOC_LIBS = @BINRELOC_LIBS@
 CC = @CC@
 CCAS = @CCAS@
 CCASDEPMODE = @CCASDEPMODE@
@@ -333,8 +331,7 @@
 	file.c \
 	jar.c \
 	readClass.c \
-	utf8const.c \
-	binreloc.c
+	utf8const.c
 
 noinst_HEADERS = \
 	kaffeh-support.h \
@@ -413,7 +410,6 @@

*** Patch too long, truncated ***
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.